Subject: Re: bug#39023: binary installation manual doesn't work on Alpine Linux

From: Vincent Legoll <[email-masked]>
Date: Thu, 23 Apr 2020 16:15:14 +0200

Hello,

On 23/04/2020 15:29, zimoun wrote:
> Do you mean that the incoming patches will include an explanation in
> the manual about adduser/useradd?

I'll be writing new / amending existing doc after the patches have
received the first round of review. ;-)

> Do you mean that guix-install.sh will now include a conditional test
> on the kind of foreign distibution to use adduser or useradd?

guix-install.sh will include conditional test on the availability of
the commands.

Like that:

==========================================================
     if command -v groupadd &>/dev/null; then
         groupadd --system guixbuild
         _msg "${PAS}group <guixbuild> created"
     elif command -v addgroup &>/dev/null; then
         addgroup -S guixbuild
         _msg "${PAS}group <guixbuild> created"
     else
         _err "${ERR}cannot add group for guix build users"
         exit 1
     fi
==========================================================

Seems not too much bloated, and I tested it manually on
alpine & another one (cannot remember, probably debian).

Did not break the previously working & works fine on
busybox-based (alpine).

I'll test extensively (range of OS & range of HW archs)
before submitting for review.

I'll resume working on this, hoping the gromacs package is
ok...

I've removed the CC to [email-masked] as I just wanted
to make a link between the two, but don't want to spam the
other issue... I hope this was OK to do.

-- 
Vincent Legoll